class HanisImage {
  startTime;
  fullPath;
  order;

  constructor(startTime, fullPath, order = -1) {
    this.startTime = luxon.DateTime.fromISO(startTime);
    this.fullPath = fullPath;
    this.order = order;
  }
}

class HanisImageValidityTime extends HanisImage {
  endTime;

  constructor(startTime, endTime, fullPath) {
    super(startTime, fullPath);
    this.endTime = luxon.DateTime.fromISO(endTime);
  }
}
